/*
	CSS Reset - it is used to 0 the default margins and paddings of all elements because browsers add a default margin and padding value per element.
*/
* {
	margin:  0;
	padding: 0;
}

body {
	font-family: "Open Sans", sans-serif;
}

nav {
	padding: 0.8rem;/*.8 x 16px(default font size) = 12.8px*/
	margin-bottom: 2rem;
	border-bottom: 1px solid gray;
}

/*
	multiple selector will allow us to target elements with multiple combinators and selectors
*/
nav .nav, nav .nav-logo {
	margin: 0.5rem;

	/*
	diplay property will allow us to change how elements are displayed.
	li, by default, is block. But, with display property we can change it to inline.
	*/
	display: inline;
}

/*intro section*/
#intro {
	/*percentage as measurements are good practive for mobile responsiveness. Since the body occupies the full width of the screen, the percentage's size will adjust according to the screen.*/
	padding-left: 10%;
	padding-right: 10%;
	padding-top: 2rem;
	padding-bottom: 3rem;
	text-align: center;
}

.header {
	text-align: center;
}

#intro h2, #intro p {
	margin-bottom: 1rem;
}

#intro button {
	color: white;
	/*font-weight allows us to determine the thickness of the text*/
	font-weight: bold;
	background-color: #c2195b;
	border-radius: 25px;
	font-size: 1rem;
	padding: 1rem;
}

/*info section*/
#succeed-info {
	/*
		padding/margin shorthand

		padding: value; = all sides
		padding: top x-axis(left and right) bottom;
		padding: y-axis(top and bottom) x-axis(left and right);
		padding: top right bottom left;
	*/
	padding: 2rem 10% 3rem;
}

#succeed-info h2 {
	margin-bottom: 1rem;
}

#succeed-info .card {
	display: inline-block;
	/*Each card is atleast 30% of its parents width. To divide the parent element's width evenly, 33.33%. 30% was set to account for the margins set for each element.*/
	width: 30%;
	margin-left: .5rem;
	margin-right: .5rem;
	/*vertical align top will allow us to align our inline-block elements vertically starting from the top.*/
	vertical-align: top;

	/*	border: 1px solid black;*/

	/*min-height will determine a minimum height for the element. That if the content's height does not reach or exceed our minimum-height, the minimum-height will be employed as the height of your element.*/
	min-height: 175px;
}

#succeed-info h3 {
	text-align: center;
	margin-bottom: 1rem;
}

/*pre-footer*/

#pre-footer {
	padding: 1rem;
	background-color: #002540;
	color: white;
}

#pre-footer > div {
	display: inline-block;
	width: 20%;
	vertical-align: top;
}

#pre-footer > div > * {
	margin-top: 0.3rem;
	margin-bottom: 0.3rem;
}

/*footer*/
footer {
	padding: .7rem;
}

footer span {
	margin-left: .5rem;
	margin-right: .5rem;
}
